Bug 216776 - Avoid memory leaks
Avoid memory leaks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libsoup (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
David Lawrence
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 17:44 EST by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 19:46:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-11-21 17:44:53 EST
The stable upstream version 2.2.98 has a few memory leak fixes, that we should
probably pull in:

        * libsoup/soup-message-client-io.c (parse_response_headers): Avoid
        memory leak when parse_response_headers() is called on a message
        that has a 'reason_phrase' already for some reason.

        * libsoup/soup-gnutls.c (soup_gnutls_free): Avoid memory leak:
        hostname was not freed.
        (soup_ssl_wrap_iochannel): Avoid memory leak: SoupGNUTLSChannel
        'chan' was not freed in case of initialization error. Avoid double
        close of the "real" (plain, non-ssl) channel FD.

        * libsoup/soup-socket.c (soup_socket_start_proxy_ssl): Avoid
        memory leak: the "real" (plain, non-ssl) GIOChannel was never
        "finally" unreffed (one more *_ref() than *_unref()) in case of
        ssl-wrapping.
Comment 1 Matthew Barnes 2006-11-25 22:07:10 EST
Should we backport the individual memory leak fixes or just upgrade to 2.2.98?
Comment 2 Matthew Barnes 2006-11-26 21:55:59 EST
Answering my own question...

Fixed in libsoup-2.2.98-1.el5.
Comment 3 RHEL Product and Program Management 2006-11-27 21:40:27 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 RHEL Product and Program Management 2006-11-27 21:40:45 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 RHEL Product and Program Management 2007-02-07 19:46:05 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.